{% extends "base.html" %}
{% load markdownify %}

{% block content %}
    <main>
        <div>
            <h1>{{ detail.name }}</h1>
            <p>{{ detail.description|markdownify }}</p>
            <h2>Tasks</h2>
            <p>
                <a href="{% url "create_task" %}">Create a new task</a>
            </p>
            {% if detail.tasks.all|length %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in detail.tasks.all %}
                            <tr>
                                <td><a href="{% url "show_my_tasks" %}">{{ item.name }}</a></td>
                                <td>{{ item.assignee }}</td>
                                <td>{{ item.start_date|date:"M d, Y" }}</td>
                                <td>{{ item.due_date|date:"M d, Y" }}</td>
                                {% if item.is_completed %}
                                    <td>yes</td>
                                {% else %}
                                    <td>no</td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
